Bug 1171211 - Kernel 5.6.8 causes build failure of util-linux (testsuite)
Kernel 5.6.8 causes build failure of util-linux (testsuite)
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Jiri Slaby
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-05 15:40 UTC by Dominique Leuenberger
Modified: 2020-05-18 06:36 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2020-05-05 15:40:45 UTC
A couple days ago, we merged kernel 5.6.8 into Tumbleweed; As the kernel is a ring1 package, we have a very small gap of packages we do not attempt to rebuild in the staging run. Those happen on later 'staging rebases'.

In this case now, I've started observing build failures of util-linux in Stagings that have been rebased and use kernel-obs-build-5.6.8. In this case, util-linux fails to build.

Observed this in Staging:A and Staging:B
As a test, I

* copied binaries of kernel-obs-build from :C (5.6.6) to :A and rebuilt util-linux -> successful
* copied binaires of kernel-obs-build from :E (5.6.10) to :B and rebuild util-linux -> failed

So somewhere between 5.6.6 and 5.6.8 this broke down, and has not been fixed yet (by accident :P ) up to 5.6.10

The failing tests of util-linux contain:

[  506s]          ipcs: mk-rm-msg                    ... FAILED (ipcs/mk-rm-msg)
[  506s]          ipcs: mk-rm-sem                    ... FAILED (ipcs/mk-rm-sem)
[  506s]          ipcs: mk-rm-shm                    ... FAILED (ipcs/mk-rm-shm)
Comment 1 Jiri Slaby 2020-05-06 05:43:13 UTC
There is only a single ipc/ commit in 5.6.6..5.6.8:
commit b201ff06a3517263c60f2c9fd6ea63c0f0890ff1
Author: Vasily Averin <vvs@virtuozzo.com>
Date:   Fri Apr 10 14:34:13 2020 -0700

    ipc/util.c: sysvipc_find_ipc() should increase position index
    
    [ Upstream commit 89163f93c6f969da5811af5377cc10173583123b ]
Comment 2 Jiri Slaby 2020-05-06 08:22:20 UTC
(In reply to Jiri Slaby from comment #1)
> There is only a single ipc/ commit in 5.6.6..5.6.8:
> commit b201ff06a3517263c60f2c9fd6ea63c0f0890ff1

Reverting it, fixes the problem.
Comment 3 Jiri Slaby 2020-05-06 09:10:26 UTC
Known:
https://lore.kernel.org/lkml/4921fe9b-9385-a2b4-1dc4-1099be6d2e39@virtuozzo.com/

And there is a (working) patch available.
Comment 4 Jiri Slaby 2020-05-06 10:37:39 UTC
Should be fixed in SR#800668.
Comment 5 Jiri Slaby 2020-05-18 06:36:23 UTC
In upstream as:
commit 5e698222c70257d13ae0816720dde57c56f81e15
Author: Vasily Averin <vvs@virtuozzo.com>
Date:   Wed May 13 17:50:48 2020 -0700

    ipc/util.c: sysvipc_find_ipc() incorrectly updates position index